<Type Name="ProcessInfo" FullName="System.Web.ProcessInfo">
  <TypeSignature Language="C#" Value="public class ProcessInfo" Maintainer="auto" />
  <AssemblyInfo>
    <AssemblyName>System.Web</AssemblyName>
    <AssemblyPublicKey>
    </AssemblyPublicKey>
    <AssemblyVersion>1.0.5000.0</AssemblyVersion>
    <AssemblyCulture>neutral</AssemblyCulture>
    <Attributes>
      <Attribute>
        <AttributeName>System.Web.UI.TagPrefixAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.NeutralResourcesLanguageAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Runtime.InteropServices.ComVisibleAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.CLSCompliantAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.SatelliteContractVersionAttribute</AttributeName>
      </Attribute>
    </Attributes>
  </AssemblyInfo>
  <ThreadSafetyStatement>Gtk# is thread aware, but not thread safe; See the &lt;link location="node:gtk-sharp/programming/threads"&gt;Gtk# Thread Programming&lt;/link&gt; for details.</ThreadSafetyStatement>
  <Docs>
    <summary>To be added</summary>
    <remarks>To be added</remarks>
  </Docs>
  <Base>
    <BaseTypeName>System.Object</BaseTypeName>
  </Base>
  <Interfaces />
  <Attributes />
  <Members>
    <Member MemberName="SetAll">
      <MemberSignature Language="C#" Value="public void SetAll (DateTime startTime, TimeSpan age, int processID, int requestCount, ProcessStatus status, ProcessShutdownReason shutdownReason, int peakMemoryUsed);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="startTime" Type="System.DateTime" />
        <Parameter Name="age" Type="System.TimeSpan" />
        <Parameter Name="processID" Type="System.Int32" />
        <Parameter Name="requestCount" Type="System.Int32" />
        <Parameter Name="status" Type="System.Web.ProcessStatus" />
        <Parameter Name="shutdownReason" Type="System.Web.ProcessShutdownReason" />
        <Parameter Name="peakMemoryUsed" Type="System.Int32" />
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="startTime">To be added: an object of type 'DateTime'</param>
        <param name="age">To be added: an object of type 'TimeSpan'</param>
        <param name="processID">To be added: an object of type 'int'</param>
        <param name="requestCount">To be added: an object of type 'int'</param>
        <param name="status">To be added: an object of type 'ProcessStatus'</param>
        <param name="shutdownReason">To be added: an object of type 'ProcessShutdownReason'</param>
        <param name="peakMemoryUsed">To be added: an object of type 'int'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public ProcessInfo (DateTime startTime, TimeSpan age, int processID, int requestCount, ProcessStatus status, ProcessShutdownReason shutdownReason, int peakMemoryUsed);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
        <Parameter Name="startTime" Type="System.DateTime" />
        <Parameter Name="age" Type="System.TimeSpan" />
        <Parameter Name="processID" Type="System.Int32" />
        <Parameter Name="requestCount" Type="System.Int32" />
        <Parameter Name="status" Type="System.Web.ProcessStatus" />
        <Parameter Name="shutdownReason" Type="System.Web.ProcessShutdownReason" />
        <Parameter Name="peakMemoryUsed" Type="System.Int32" />
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="startTime">To be added: an object of type 'DateTime'</param>
        <param name="age">To be added: an object of type 'TimeSpan'</param>
        <param name="processID">To be added: an object of type 'int'</param>
        <param name="requestCount">To be added: an object of type 'int'</param>
        <param name="status">To be added: an object of type 'ProcessStatus'</param>
        <param name="shutdownReason">To be added: an object of type 'ProcessShutdownReason'</param>
        <param name="peakMemoryUsed">To be added: an object of type 'int'</param>
        <returns>To be added: an object of type 'ProcessInfo'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public ProcessInfo ();" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'ProcessInfo'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="StartTime">
      <MemberSignature Language="C#" Value="public DateTime StartTime { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.DateTime</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'DateTime'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Age">
      <MemberSignature Language="C#" Value="public TimeSpan Age { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.TimeSpan</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'TimeSpan'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="ProcessID">
      <MemberSignature Language="C#" Value="public int ProcessID { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'int'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="RequestCount">
      <MemberSignature Language="C#" Value="public int RequestCount { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'int'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Status">
      <MemberSignature Language="C#" Value="public ProcessStatus Status { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Web.ProcessStatus</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'ProcessStatus'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="ShutdownReason">
      <MemberSignature Language="C#" Value="public ProcessShutdownReason ShutdownReason { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Web.ProcessShutdownReason</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'ProcessShutdownReason'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="PeakMemoryUsed">
      <MemberSignature Language="C#" Value="public int PeakMemoryUsed { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'int'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
  </Members>
</Type>
